Description

Ceph provides a concept of cache pools. It should be possible for an administrator to define such a cache pool and assign it to an

existing pool via dashboard:

Purpose

Use a pool of fast storage devices (probably SSDs) and use it as a cache for an existing slower and larger pool.

Use a replicated pool as a front-end to service most I/O, and destage cold data to a separate erasure coded pool that does not

currently (and cannot efficiently) handle the workload.

We should be able to create and add a cache pool to an existing pool of data, and later remove it, without disrupting service or

migrating data around.

See also:

http://lists.ceph.com/pipermail/ceph-users-ceph.com/2016-October/013880.html

http://docs.ceph.com/docs/master/rados/operations/cache-tiering/

https://www.packtpub.com/packtlib/book/Application-Development/9781784393502/8/ch08lvl1sec91/Creating%20a%20pool%20for%

20cache%20tiering

Related issues:

Related to Dashboard - Feature #48388: mgr,mgr/dashboard: implement multi-lay... In Progress

History

#1 - 11/08/2018 04:35 PM - Lenz Grimmer

- Subject changed from Add and remove a "cache pool" to an existing Ceph Pool, to improve the Pool's performance. to mgr/dashboard: Add cache

pool support

- Description updated

#2 - 11/08/2018 04:35 PM - Lenz Grimmer

- Description updated

#3 - 03/23/2021 12:34 PM - Alfonso Martínez

- Related to Feature #48388: mgr,mgr/dashboard: implement multi-layered caching added

#4 - 04/15/2021 04:58 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 137 to Component - Pools
